import os
import sys
import re

# 置換前の文字列のリスト
old_str_list = ['①', '②', '③', '④', '⑤', '⑥', '⑦', '⑧', '⑨']
# 置換後の文字列のリスト
new_str_list = ['1_', '2_', '3_', '4_', '5_', '6_', '7_', '8_', '9_']

# ドラッグ＆ドロップされたファイルのパスを取得する
file_paths = sys.argv[1:]

for file_path in file_paths:
    # ファイル名に対して置換を行う
    dir_path = os.path.dirname(file_path)
    file_name = os.path.basename(file_path)
    new_file_name = file_name
    for old_str, new_str in zip(old_str_list, new_str_list):
        new_file_name = new_file_name.replace(old_str, new_str)
    old_file_path = file_path
    new_file_path = os.path.join(dir_path, new_file_name)
    if old_file_path != new_file_path:
        os.rename(old_file_path, new_file_path)
